## ros-melodic-panda-moveit-config 0.7.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(panda_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN "setup_assistant.launch" EXCLUDE)
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

## ros-melodic-panda-moveit-config 0.7.4

=== debian/changelog ===
ros-melodic-panda-moveit-config (0.7.4-1stretch) stretch; urgency=high

  * [fix] Add time parameterization in stomp_planning_pipeline.launch (#59 <https://github.com/ros-planning/panda_moveit_config/issues/59>)
  * [fix] add joint_state_publisher_gui to package.xml (#54 <https://github.com/ros-planning/panda_moveit_config/issues/54>)
  * [fix] Add static transform publisher (#51 <https://github.com/ros-planning/panda_moveit_config/issues/51>)
  * [maintanence] demo_chomp.launch: reuse demo.launch (#57 <https://github.com/ros-planning/panda_moveit_config/issues/57>)
  * [maintanence] Define 'extended' state for 'panda_arm' group (#47 <https://github.com/ros-planning/panda_moveit_config/issues/47>)
  * Contributors: Mike Lautman, Robert Haschke, Sebastian Wallkötter, jsbyysheng

 -- Mike Lautman <mike@picknik.ai>  Thu, 26 Mar 2020 23:00:00 -0000

ros-melodic-panda-moveit-config (0.7.3-1stretch) stretch; urgency=high

  * cleanup warehouse settings (#43 <https://github.com/ros-planning/panda_moveit_config/issues/43>)
  * demo_chomp.launch: Rename arg planner to pipeline (#42 <https://github.com/ros-planning/panda_moveit_config/issues/42>)
    Fixup of 0b7ac4e6ea147003fd01d0b51723452ff320a5ea (#29 <https://github.com/ros-planning/panda_moveit_config/issues/29>)
  * Remove deprecated inorder tag to fix warning (#36 <https://github.com/ros-planning/panda_moveit_config/issues/36>)
  * Necessary files to run LERP (#40 <https://github.com/ros-planning/panda_moveit_config/issues/40>)
    * added new files for emptyplan
    * edited demo.launch to accept planner arg
    * Added emptyplan_planning.yaml so it can be used for new planners. It is an empty file.
    Added rosparam in emptyplan_planning_pipeline.launch.xml to load its yaml file
    * added necessary files for LERP
    * chaged the virtual joint to fixed
    * added yaml file
    * addressed the comments
    * revet back to floating for virtual joint and revert moveit.rviz
  * Add fully extended pose: 'extended' (#39 <https://github.com/ros-planning/panda_moveit_config/issues/39>)
  * Add TrajOpt launch files to panda_moveit_config (#29 <https://github.com/ros-planning/panda_moveit_config/issues/29>)
    * added new files for emptyplan
    * edited demo.launch to accept planner arg
    * Added emptyplan_planning.yaml so it can be used for new planners. It is an empty file.
    Added rosparam in emptyplan_planning_pipeline.launch.xml to load its yaml file
    * from empty to trajopt
    * modified some comment
    * renamed and edited the context of files from empty to trajopt
    * removed  move_group_trajop.launch, we do not need this file
    * applied Dave's comments
    * restored setup_assistant
    * added trajopt params in yaml file
    removed extra planner arg in demo.launch
    * addressed the comments
    * corrected pipeline in move_group
  * Added open and closed poses (#34 <https://github.com/ros-planning/panda_moveit_config/issues/34>)
  * Adapt pipelines (#31 <https://github.com/ros-planning/panda_moveit_config/issues/31>)
    * add default_planner_request_adapters/ResolveConstraintFrames
    * chomp pipeline: define default planning adapters
  * demo.launch: expose planner arg (#30 <https://github.com/ros-planning/panda_moveit_config/issues/30>)
  * Contributors: Dave Coleman, Henning Kayser, Jafar Abdi, Omid Heidari, Robert Haschke, simonGoldstein

 -- Mike Lautman <mike@picknik.ai>  Wed, 20 Nov 2019 23:00:00 -0000

ros-melodic-panda-moveit-config (0.7.2-1stretch) stretch; urgency=high

  * removing unused attempts param (#26 <https://github.com/ros-planning/panda_moveit_config/issues/26>)
  * virtual joint quaternion->rpy
  * fixing the virtual joint issue by adding the broadcaster (#23 <https://github.com/ros-planning/panda_moveit_config/issues/23>)
  * changing the end effector parent group (#20 <https://github.com/ros-planning/panda_moveit_config/issues/20>)
    * changing the end effector parent group
    * changing virtual joint to floating for use with moveit_visual_tools
  * Fix incorrect SRDF path (#19 <https://github.com/ros-planning/panda_moveit_config/issues/19>)
  * Contributors: Dave Coleman, Mike Lautman

 -- Mike Lautman <mike@picknik.ai>  Sun, 21 Apr 2019 22:00:00 -0000

ros-melodic-panda-moveit-config (0.7.1-1stretch) stretch; urgency=high

  * CHOMP: remove "Hybrid" collision detector (#16 <https://github.com/ros-planning/panda_moveit_config/pull/16>)
  * Contributors: Robert Haschke

 -- Mike Lautman <mike@picknik.ai>  Sun, 09 Dec 2018 23:00:00 -0000

ros-melodic-panda-moveit-config (0.7.0-1stretch) stretch; urgency=high

  * Initial release of panda_moveit_config into Melodic, including OMPL, CHOMP and STOMP configs
    We moved/merged this repo from https://github.com/frankaemika/franka_ros.
  * Contributors: Dave Coleman, Florian Walch, Mike Lautman, Raghavender Sahdev

 -- Mike Lautman <mike@picknik.ai>  Thu, 08 Nov 2018 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-panda-moveit-config
Section: misc
Priority: optional
Maintainer: Mike Lautman <mike@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-melodic-panda-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-franka-description, ros-melodic-joint-state-publisher, ros-melodic-joint-state-publisher-gui, ros-melodic-moveit-fake-controller-manager, ros-melodic-moveit-kinematics, ros-melodic-moveit-planners-ompl, ros-melodic-moveit-ros-move-group, ros-melodic-moveit-ros-visualization, ros-melodic-robot-state-publisher, ros-melodic-topic-tools, ros-melodic-xacro
Description: An automatically generated package with all the configuration and launch files for using the panda with the MoveIt! Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-panda-moveit-config//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-panda-moveit-config 0.7.8

=== debian/changelog ===
ros-melodic-panda-moveit-config (0.7.8-1bionic) bionic; urgency=high

  * Update to franka_description 0.10.0 (#119 <https://github.com/ros-planning/panda_moveit_config/issues/119>)
  * Contributors: Matt Droter, Robert Haschke

 -- MoveIt maintainer team <moveit_releasers@googlegroups.com>  Sat, 10 Sep 2022 22:00:00 -0000

ros-melodic-panda-moveit-config (0.7.7-1bionic) bionic; urgency=high

  * Thorough rework based on franka_description 0.9.1 (using fine and coarse collision models)
    The internal robot controller uses coarse collision models for self-collision checking.
    In MoveIt, these coarse models should be used for self-collision checking only as well.
    Particularly, these coarse models should not be used for collision checking with the environment.
  * Adapt ACM configuration to Melodic
    Melodic's srdfdom/MoveIt don't support tags <disable_default_collisions> and <enable_collisions>.
  * Remove adapter ResolveConstraintFrames
    as it's not implemented in Melodic

 -- MoveIt maintainer team <moveit_releasers@googlegroups.com>  Wed, 31 Aug 2022 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-panda-moveit-config
Section: misc
Priority: optional
Maintainer: MoveIt maintainer team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-melodic-panda-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-franka-description (>= 0.10.0), ros-melodic-joint-state-publisher, ros-melodic-joint-state-publisher-gui, ros-melodic-moveit-fake-controller-manager, ros-melodic-moveit-kinematics, ros-melodic-moveit-planners-ompl, ros-melodic-moveit-ros-move-group, ros-melodic-moveit-ros-visualization, ros-melodic-moveit-setup-assistant, ros-melodic-moveit-simple-controller-manager, ros-melodic-robot-state-publisher, ros-melodic-rviz, ros-melodic-tf2-ros, ros-melodic-xacro
Description: An automatically generated package with all the configuration and launch files for using the panda with the MoveIt Motion Planning Framework

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
